For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
      • GETList Donor Advised Funds
      • GETGet Donor Advised Fund
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
DAFpayDonor Advised Funds

List Donor Advised Funds

GET
/v1/dafs
GET
/v1/dafs
$curl https://api.givechariot.com/v1/dafs \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "0bf40881-8ee2-47fb-98ca-f58c7999aa34",
5 "orgName": "National Philanthropic Trust",
6 "address": "123 Main St.",
7 "address2": "Apt 100",
8 "city": "New York",
9 "state": "NY",
10 "zip": "12345",
11 "supported": true,
12 "minimumGrantAmount": 5000,
13 "institutionDown": false
14 }
15 ],
16 "nextPageToken": "c3f685f2-2dda-4956-815b-39867a5e5638"
17}
Returns a list of all Donor Advised Funds within Chariot's system. This API allows for paginating over many results. <Note> If there are DAFs missing from the list, please contact support at support@givechariot.com. </Note>
Was this page helpful?
Previous

Get Donor Advised Fund

Next
Built with

Returns a list of all Donor Advised Funds within Chariot’s system. This API allows for paginating over many results.

If there are DAFs missing from the list, please contact support at support@givechariot.com.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

supportedOnlybooleanOptionalDefaults to false
If set to true, filters DAFs to only those that have a direct integration with Chariot.
querystringOptional
If included, filters DAFs to only those that contain the query. This parameter is case insensitive.
pageLimitintegerOptionalDefaults to 10

the number of results to return; defaults to 10, max is 100

pageTokenstringOptional
A token to use to retrieve the next page of results. This is useful for paginating over many pages of results. If set, all other arguments are expected to be kept the same as previous calls.

Response

The response for Dafs.list
resultslist of objects
nextPageTokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only substituting the pageToken with this value). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error